Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi there,

Currently, roles and permissions don't allow me to grant issues visibility only to issues where the user is a watcher.

This would be particularly handy in scenarios where someone else creates the issue for the user, wants to allow the user to track

progress, and not expose all other project issues to the user.

The closest thing to accomplishing this today would be for the user to create the issue, and the role permission to be set to only see

issues created by the user.

My clients each have their own projects and there are issues for the team, and issues for the client. I'd like to keep them separate.

Feedback welcome, and I hope this gets taken into consideration!

Related issues:

Is duplicate of Redmine - Feature #16845: Add permission rule to allow watche... New

History

#1 - 2016-02-04 02:07 - Hang Xie

you can try the patch on #14318 , it works fine.

#2 - 2016-02-28 04:43 - Toshi MARUYAMA

- Related to Patch #14318: Watchers Alerted To Changes But Cannot See Issues (potentially) added

#3 - 2016-02-28 04:44 - Toshi MARUYAMA

- Related to deleted (Patch #14318: Watchers Alerted To Changes But Cannot See Issues (potentially))

#4 - 2016-02-28 04:45 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #16845.

#5 - 2016-02-28 04:45 - Toshi MARUYAMA

- Is duplicate of Feature #16845: Add permission rule to allow watchers can edit issues added

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

https://www.redmine.org/issues/14318
https://www.redmine.org/issues/16845
http://www.tcpdf.org

